# Plutu Laravel

{% hint style="info" %}
**To access detailed documentation and comprehensive information about Plutu Laravel, please refer to the** [**Plutu Laravel**](https://github.com/getplutu/plutu-laravel) **Github repository.**
{% endhint %}

## Getting started

### Requirements

* PHP version 8.0 or higher
* Laravel version 9 or higher"

### Installation

You can install the Plutu Laravel package via Composer by running the following command:

```php
composer require plutu/plutu-laravel
```

### Publish Configuration

To publish the configuration file of Plutu Laravel package, run the following command:

```php
php artisan vendor:publish --provider="PlutuLaravel\Providers\PlutuServiceProvider"
```

This command will publish the `plutu.php` configuration file to the config directory of your application.

You can then configure the package by setting the following environment variables in your `.env` file:

```php
PLUTU_API_KEY=your_api_key
PLUTU_ACCESS_TOKEN=your_access_token
PLUTU_SECRET_KEY=your_secret_key
```

Make sure to replace your\_api\_key, your\_access\_token, and your\_secret\_key with your own API credentials provided by [Plutu](https://plutu.ly/) in your merchant account.

Alternatively, you can directly edit the config/plutu.php configuration file that was published to your application.

### Examples

{% hint style="info" %}
You can find examples in the package's main documentation here: [Plutu PHP](https://github.com/getplutu/plutu-php/blob/main/examples.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plutu.ly/sdks/plutu-laravel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
